/*********************************************************************/
/******************************  Fonts  ******************************/
/*********************************************************************/


/*********************************************************************/
/*************************  Common Structure  ************************/
/*********************************************************************/
body, html {
  touch-action: manipulation;
  /* -webkit-touch-callout: none; */ /* iOS Safari */
  /*   -webkit-user-select: none; */ /* Safari */
  /*    -khtml-user-select: none; */ /* Konqueror HTML */
  /*      -moz-user-select: none; */ /* Old versions of Firefox */
  /*       -ms-user-select: none; */ /* Internet Explorer/Edge */
  /*           user-select: none; */ /* Non-prefixed version, currently
                                  supported by Chrome, Edge, Opera and Firefox */
  /* background-color: white; */
}

* {
  outline: none !important;
	-webkit-overflow-scrolling: touch;
}

input, select, button {
  -webkit-appearance: none;
  border: none;
	background-color: transparent;
}

input:-webkit-autofill {
  /* abstract */
  -webkit-text-fill-color: black;
  -webkit-box-shadow: 0 0 0px 1000px white inset;
}

input:-webkit-autofill:hover,
input:-webkit-autofill:focus,
input:-webkit-autofill:active {
  /* abstract */
  -webkit-text-fill-color: black;
  -webkit-box-shadow: 0 0 0px 1000px white inset;
  /* transition: background-color 5000s ease-in-out 0s; */
}

select {
  /* appearance: none;
  -webkit-appearance: none;
  -moz-appearance: none; */
  background-color: transparent;
  border: 0;
}

a {
  text-decoration: unset;
}

input:focus,
select:focus,
button:focus {
  box-shadow: none !important;
}

a.disabled {
  display: block;
}

.disabled {
  touch-action: none;
  -ms-touch-action: none;
  pointer-events: none;
  /* opacity: .4; */
}

.hidden_button{
  opacity: 0;
}

.overlay {
	position: absolute;
	top: 0;
	left: 0;
	z-index: 200;
	width: 100%;
	height: 100%;
	background-color: rgba(255, 255, 255, .6);
}

.overlay .sk-circle {
  position: absolute;
  left: 50%;
  top: 50%;
  transform: translate(-50%, -50%);
}